%define module_name Object-Pad-FieldAttr-Isa
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Object/Pad/ExtensionBuilder.pm) perl(Test2/V0.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt2
Summary: apply class type constraints to C<Object::Pad> fields
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides a third-party field attribute for the Object::Pad manpage-based
classes, which declares that values assigned to the field must conform to a
given object type.

WARNING The ability for the Object::Pad manpage to take third-party field attributes
is still new and highly experimental, and subject to much API change in
future. As a result, this module should be considered equally experimental.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/O*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.05-alt2
- rebuild with perl 5.38

* Sat Aug 26 2023 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- updated by package builder

* Fri Aug 11 2023 Igor Vlasenko <viy@altlinux.org> 0.04-alt1
- updated by package builder

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.03-alt1
- initial import by package builder

